const path = require('path')
const { gemMineHome } = require('@gem-mine/cli-share-lib').env

const tsNode = path.join(require.resolve('ts-node'), '../bin.js')
const index = path.join(__dirname, '../../src/index.ts')

module.exports = {
  apps: [{
    name: 'cli-service',
    script: tsNode,
    args: [
      index
    ],
    log_date_format: 'YYYY-MM-DD HH:mm Z',
    env: {
      NODE_ENV: 'local',
    }
  }]
}
